LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | List of all members
CustomPresentation Service Referencepublished

A custom presentation can show the pages of its presentation in a customized order. More...

`import"CustomPresentation.idl";`

Inheritance diagram for CustomPresentation:

## Exported Interfaces
interface | com::sun::star::container::XIndexContainer
| This is the container of the names of pages in this customized presentation. More...
interface | com::sun::star::container::XNamed
| This gives you access to the name of this customized presentation. More...

## Additional Inherited Members
Public Member Functions inherited from XIndexContainer
void | insertByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified index. More...
void | removeByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| removes the element at the specified index. More...
Public Member Functions inherited from XIndexReplace
void | replaceByIndex ([in] long Index, [in] any Element) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
| replaces the element at the specified index with the given element. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...

## Detailed Description

A custom presentation can show the pages of its presentation in a customized order.

Such a presentation can use certain pages more than once, but it does not necessarily use all of the pages.

## Exported Interfaces

## ◆ com::sun::star::container::XIndexContainer

interface com::sun::star::container::XIndexContainer

This is the container of the names of pages in this customized presentation.

## ◆ com::sun::star::container::XNamed

interface com::sun::star::container::XNamed

This gives you access to the name of this customized presentation.

The documentation for this service was generated from the following file:

- com/sun/star/presentation/CustomPresentation.idl